%define api 3.0

Name:		abiword
Summary:	Lean and fast full-featured word processor
Version:	3.0.4
Release:	%mkrel 3
Group:		Office/Word processor
URL:		https://www.abisource.com/
License:	GPLv2+
Source0:	https://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.gz
Source1:	https://gitlab.gnome.org/World/AbiWord/raw/ABI-3-0-0-STABLE/autogen-common.sh
Source11:	aiksaurus-plugin.m4
Source12:	command-plugin.m4
Patch0:		abiword-3.0.0-librevenge.patch
Patch1:		0001-Port-to-libwps-0.4.x.patch
Patch3:		python-override.patch
Patch4:		enchant-2.1.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(aiksaurus-1.0)
BuildRequires:	pkgconfig(cairo-pdf)
BuildRequires:	pkgconfig(cairo-ps)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(fribidi) >= 0.10.4
BuildRequires:	pkgconfig(gaiksaurus-1.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.8
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libecal-2.0)
BuildRequires:	pkgconfig(libgoffice-0.10)
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.4
BuildRequires:	pkgconfig(libical) >= 0.46
BuildRequires:	pkgconfig(libots-1) >= 0.5.0
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libwpd-0.10)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(librevenge-stream-0.0)
BuildRequires:	pkgconfig(libwpg-0.3)
BuildRequires:	pkgconfig(libwps-0.4)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.0
BuildRequires:	pkgconfig(link-grammar) >= 4.2.1
BuildRequires:	pkgconfig(loudmouth-1.0) >= 1.3.2
BuildRequires:	pkgconfig(mathview-frontend-libxml2) >= 0.7.5
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(rasqal) >= 0.9.17
BuildRequires:	pkgconfig(redland) >= 1.0.10
BuildRequires:	pkgconfig(telepathy-glib) >= 0.14.5
BuildRequires:	pkgconfig(wv-1.0) >= 1.2.0
BuildRequires:	asio
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libpsiconv-devel
BuildRequires:	pkgconfig(libwmf)
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pygobject)
BuildRequires:	python3dist(setuptools)

Recommends:	abiword-doc

%description
AbiWord is a cross-platform, open source, lean and fast full-featured word
processor. It works on Most Unix systems, Microsoft Windows and Mac OS X.

Abiword with the GNOME front-end is part of the GNOME Office Suite.
See http://www.gnomeoffice.org for details.

%package devel
Summary:	Devel files for Abiword
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
This pacakage contains devel files for Abiword, mainly header files
and pkg files.

%package -n python3-%{name}
Summary:	Python 3 bindings for libabiword
Requires:	%{name} = %{version}
Requires:	python3dist(pygobject)
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This package installs Python 3 bindings for libabiword.

%prep
%setup -q
%autopatch -p1

# Make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([\3\4 subdir-objects]),' configure.ac

# Switch to enchant2
sed -i -e '/^enchant_req/s/enchant /enchant-2 /' configure.ac

# Install missing m4 file
install -Dpm644 %{_sourcedir}/aiksaurus-plugin.m4 plugins/aiksaurus/plugin.m4
install -Dpm644 %{_sourcedir}/command-plugin.m4 plugins/command/plugin.m4

# install missing script
install -Dpm755 %{_sourcedir}/autogen-common.sh autogen-common.sh

# Force python3
sed -i -e 's/python -c/python3 -c/' src/gi-overrides/Makefile.am

%build
# generate build system
./autogen-common.sh

autoreconf -vfi
CXXFLAGS="%{optflags} -DASIO_ENABLE_BOOST"
%configure \
	--disable-static \
	--enable-plugins \
	--enable-clipart \
	--enable-templates \
	--enable-introspection \
	--disable-collab-backend-service
%__make

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -f %{buildroot}%{_datadir}/dbus-1/services/*.service \
   %{buildroot}%{_datadir}/telepathy/clients/AbiCollab.client

desktop-file-install --vendor="" \
	--remove-category="X-Red-Hat-Base" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/abiword
%{_datadir}/abiword-%{api}
%{_datadir}/appdata/abiword.appdata.xml
%{_libdir}/libAiksaurusGtk3--export-dynamic.so
%{_libdir}/libabiword-3.0.so
%{_libdir}/girepository-1.0/Abi-%{api}.typelib
%{_libdir}/abiword-%{api}
%{_mandir}/man1/abiword.1.*
%{_iconsdir}/*/*/*/*
%{_datadir}/applications/*.desktop
#%%{_datadir}/dbus-1/services/*.service
#%%{_datadir}/telepathy/clients/AbiCollab.client

%files devel
%{_includedir}/abiword-%{api}
%{_libdir}/libAiksaurusGtk3.so
%{_datadir}/gir-1.0/Abi-%{api}.gir
%{_libdir}/pkgconfig/abiword-%{api}.pc

%files -n python3-%{name}
%{python3_sitearch}/gi/overrides/Abi.*
%{python3_sitearch}/gi/overrides/__pycache__/*


%changelog
* Sat Jul 04 2020 joequant <joequant> 3.0.4-3.mga8
+ Revision: 1602041
- bump
- fix compile

* Thu Feb 20 2020 umeabot <umeabot> 3.0.4-2.mga8
+ Revision: 1547001
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 shlomif <shlomif> 3.0.4-1.mga8
+ Revision: 1487458
- New version 3.0.4
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 17 2019 wally <wally> 3.0.2-10.mga8
+ Revision: 1454393
- switch to python3

* Fri Aug 09 2019 tv <tv> 3.0.2-9.mga8
+ Revision: 1428358
- rebuild with latest libebook*

* Sat Mar 09 2019 wally <wally> 3.0.2-8.mga7
+ Revision: 1373198
- fix finding dependencies for plugins when building

* Sat Mar 09 2019 wally <wally> 3.0.2-7.mga7
+ Revision: 1373078
- add upstream patches to fix flickering and caret problems

* Sat Feb 23 2019 wally <wally> 3.0.2-6.mga7
+ Revision: 1369494
- add fixes via Arch
  - fix black background (mga#20167)
  - switch to enchant2
  - fix python override
  - install missing .m4 files for build
- clean .spec and make autoreconf happy

* Sun Sep 23 2018 umeabot <umeabot> 3.0.2-5.mga7
+ Revision: 1297268
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 daviddavid <daviddavid> 3.0.2-4.mga7
+ Revision: 1218930
- add archlinux patch to fix build with libical >= 3.0
- add archlinux patch to reenable wps support
- rename python-abiword to python2-abiword
+ kekepower <kekepower>
- Rebuild for new libical

* Wed Apr 04 2018 kekepower <kekepower> 3.0.2-3.mga7
+ Revision: 1215234
- Rebuild for new link-grammar

* Wed Oct 04 2017 tv <tv> 3.0.2-2.mga7
+ Revision: 1168207
- "fix" linking with underlinked evolution's libedataserver:

* Mon Jul 17 2017 shlomif <shlomif> 3.0.2-1.mga7
+ Revision: 1124239
- New version 3.0.2

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.0.1-9.mga6
+ Revision: 927275
- rebuild for libical

* Fri Jan 15 2016 luigiwalser <luigiwalser> 3.0.1-8.mga6
+ Revision: 923227
- move libAiksaurusGtk3.so to devel package (Charles Edwards)

* Wed Jan 13 2016 luigiwalser <luigiwalser> 3.0.1-7.mga6
+ Revision: 922363
- disable abicollab.net support incompatible with gnutls 3.4
- rebuild for gnutls

* Sat Nov 28 2015 neoclust <neoclust> 3.0.1-6.mga6
+ Revision: 906827
- Bump release as previous rpm has been rejected

* Sat Nov 28 2015 neoclust <neoclust> 3.0.1-5.mga6
+ Revision: 906812
- Rebuild for ARM

* Mon Sep 14 2015 fwang <fwang> 3.0.1-4.mga6
+ Revision: 879085
- rebuild for new libgcrypt

* Wed Aug 26 2015 sander85 <sander85> 3.0.1-3.mga6
+ Revision: 869770
- Rebuild for evolution-data-server 3.17.90

* Tue Jun 30 2015 fwang <fwang> 3.0.1-2.mga6
+ Revision: 848274
- disable wps support as we currently have libwps 0.4

* Sat Jun 20 2015 shlomif <shlomif> 3.0.1-1.mga6
+ Revision: 835785
- New version 3.0.1

* Wed Feb 18 2015 luigiwalser <luigiwalser> 3.0.0-10.mga5
+ Revision: 815672
- rebuild for evolution-data-server

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-9.mga5
+ Revision: 742484
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.0.0-8.mga5
+ Revision: 725931
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-7.mga5
+ Revision: 677675
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Aug 05 2014 luigiwalser <luigiwalser> 3.0.0-6.mga5
+ Revision: 660054
- add patch from fedora to fix build with updated libwpg
- rebuild for updated libwp[dgs] libraries

* Sat May 31 2014 pterjan <pterjan> 3.0.0-5.mga5
+ Revision: 628097
- Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 3.0.0-4.mga4
+ Revision: 548950
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 3.0.0-3.mga4
+ Revision: 542053
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 fwang <fwang> 3.0.0-2.mga4
+ Revision: 506359
- update file list
- update file list
- add more br
- update file list
- update asio
- build more collab backend

* Mon Oct 14 2013 fwang <fwang> 3.0.0-1.mga4
+ Revision: 496779
- new version 3.0.0

* Mon Jul 08 2013 fwang <fwang> 2.9.4-7.mga4
+ Revision: 451176
- rebuild for new boost

* Mon Jun 03 2013 fwang <fwang> 2.9.4-6.mga4
+ Revision: 435529
- rebuild for new libpng

* Sun Jun 02 2013 fwang <fwang> 2.9.4-5.mga4
+ Revision: 434352
- rebuild for new ical

* Fri Jan 11 2013 umeabot <umeabot> 2.9.4-4.mga3
+ Revision: 345193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 2.9.4-3.mga3
+ Revision: 344907
- rebuild for group update
- tidy tabs/spaces

* Fri Dec 14 2012 fwang <fwang> 2.9.4-2.mga3
+ Revision: 330696
- update file list
- fix gir build dep
- enable  gir

* Wed Nov 28 2012 fwang <fwang> 2.9.4-1.mga3
+ Revision: 322546
- new version 2.9.4

* Thu Oct 11 2012 fwang <fwang> 2.9.3-4.mga3
+ Revision: 304568
- drop support on goffice, as it does not build
- update rpm group
- rebuild for new toolchain

* Thu Jul 26 2012 fwang <fwang> 2.9.3-3.mga3
+ Revision: 274458
- build with eds 3.6
- rebuild for new evo

* Tue Jun 26 2012 fwang <fwang> 2.9.3-2.mga3
+ Revision: 263881
- br champlain

* Tue Jun 26 2012 fwang <fwang> 2.9.3-1.mga3
+ Revision: 263870
- update file list
- new version 2.9.3

* Sun Feb 12 2012 ovitters <ovitters> 2.9.2-5.mga2
+ Revision: 208029
- clean spec
- consistant tab usage
- add meta information to patches

* Mon Jan 30 2012 fwang <fwang> 2.9.2-4.mga2
+ Revision: 203443
- more needed patch
- more linker fix from fedora

* Mon Jan 30 2012 fwang <fwang> 2.9.2-3.mga2
+ Revision: 203430
- revised patch on linking
- cairo-fc acturally

* Mon Jan 30 2012 fwang <fwang> 2.9.2-2.mga2
+ Revision: 203406
- add req on fontconfig
- try to fix linking libs due to unknown error introduced by gmodule
- use upstream autogen
- use gnome-autogen
- br rasqal
- use autoreconf
- drop goffice versioned req as it is too high now
- add br for mathview

* Fri Nov 25 2011 fwang <fwang> 2.9.2-1.mga2
+ Revision: 171856
- drop req on mathview, it is gtk2 based
- disable telepathy backend
- fix linkage again
- cleanup br
- fix linkage
- br evo
- fix libpng15 usage
- add more req
- more glib fix
- fix build with latest glib
- add more br
- update goffice
- drop invalid req
- more br
- drop merged patches
- new version 2.9.2

* Tue Sep 20 2011 fwang <fwang> 2.8.6-5.mga2
+ Revision: 145936
- more patch for libpng1.5
- more patch for libpng 1.5
- fix linkage
- more patch
- fix patch
- fix build with libpng1.5
- use configure2_5x
- rebuild for new libpng

* Sat Sep 10 2011 fwang <fwang> 2.8.6-4.mga2
+ Revision: 142006
- rebuid for new wv
- rebuild for new gnutls

* Fri Mar 25 2011 philippem <philippem> 2.8.6-2.mga1
+ Revision: 77369
- change BR libwpd-devel
- add libwpd.patch
- cleaning for Mageia
+ ennael <ennael>
- imported package abiword

